$!
$!run_all.com - run all acceptance/regression tests for a perforce client on VMS
$!
$ if f$type(perforce) .eqs. ""
$ then
$   write sys$error "perforce symbol not found."
$   exit 44
$ endif
$ if f$type(newperf) .eqs. ""
$ then
$   @p4_setup
$ endif
$ if f$type(newperf) .eqs. ""
$ then
$   write sys$error "newperf symbol not found."
$   exit 44
$ endif
$!
$ show logical p4*
$ show symbol perforce
$ show symbol newperf
$!
$another:
$ file = f$search("*.com")
$ if file .nes. ""
$ then
$!  we upcase so as to accomodate ODS-5 case preservation (although $parse usually returns upper)
$   name = f$edit(f$parse(file,,,"NAME",),"UPCASE")
$   if name .eqs. "P4_SETUP" then goto another
$   if name .eqs. "RUN_ALL" then goto another
$   write sys$output name
$   @'file'
$   goto another
$ endif
